Bug 1711816 (CVE-2019-12435) - CVE-2019-12435 samba: AD DC Denial of Service in DNS management server
Summary: CVE-2019-12435 samba: AD DC Denial of Service in DNS management server
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-12435
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1721872
Blocks: 1711838
TreeView+ depends on / blocked
 
Reported: 2019-05-20 07:54 UTC by Marian Rehak
Modified: 2019-09-29 15:13 UTC (History)
24 users (show)

Fixed In Version: samba 4.9.9, samba 4.10.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-19 08:06:07 UTC


Attachments (Terms of Use)

Description Marian Rehak 2019-05-20 07:54:22 UTC
As per upstream advisory:

The dnsserver RPC pipe provides administrative facilities to modify DNS records and zones which allows an authenticated user to crash the RPC server process via a NULL pointer de-reference. This issue affects Samba 4.0 and later.

There is no further vulnerability associated with this issue, merely a denial of service.

Comment 2 Huzaifa S. Sidhpurwala 2019-06-10 04:54:16 UTC
Acknowledgments:

Name: The samba project

Comment 3 Huzaifa S. Sidhpurwala 2019-06-10 04:54:18 UTC
Mitigation:

The dnsserver task can be stopped by setting 
 'dcerpc endpoint servers = -dnsserver'
in the smb.conf and restarting Samba.

Comment 4 Huzaifa S. Sidhpurwala 2019-06-10 06:40:28 UTC
Upstream bug: https://bugzilla.samba.org/show_bug.cgi?id=13922

Comment 7 Huzaifa S. Sidhpurwala 2019-06-19 08:00:36 UTC
External References:

https://www.samba.org/samba/security/CVE-2019-12435.html

Comment 8 Huzaifa S. Sidhpurwala 2019-06-19 08:01:16 UTC
Created samba tracking bugs for this issue:

Affects: fedora-all [bug 1721872]

Comment 9 Hardik Vyas 2019-06-19 08:09:57 UTC
Statement:

This issue did not affect the version of samba as shipped with 'Red Hat Gluster Storage 3' as they did not include support for Active Directory Domain Controller.


Note You need to log in before you can comment on or make changes to this bug.